Subject: Ticket Assigned - Order 9604536863
From: Splash <[email-masked]>
To: [email-masked]
Date: Sat, 30 Jan 2021 03:56:23 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order 9604536863 My order and return was done in september 2020.
Splash made mistake and put the refund to MY CREDIT which I did not want.
 I am supposed to have refund (385 dirham) to my card.
You keep sending me automized reply of the e- mails
I have called call centre many times and got so many promises from you that you will transfer the money to my card.
Nothing happens.

I am so sick and tired of your baaaaaad service. It is my money and I have the right to get them back

Transfer the money to this account

Ossama Abdallah
NBD bank
Customer Number (CIF): 51318925 
IBAN: AE420260001015131892501
Account Number(s): 1015131892501
Private account

Taghrid Abdallah https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2034495